• The APS Catalog has been deprecated and removed from all Plesk Obsidian versions.
    Applications already installed from the APS Catalog will continue working. However, Plesk will no longer provide support for APS applications.
  • Please be aware: with the Plesk Obsidian 18.0.78 release, the support for the ngx_pagespeed.so module will be deprecated and removed from the sw-nginx package.

Issue Upgraded to MariaDB 10.1 failed

Gerard

New Pleskian
After updating to MariaDB 10.1 using this article as reference, I was unable to restart mysqld properly, so in the end I forced killed it, and now when trying to start it via the /etc/init.d/psa restart command or the systemctl restart mariadb the mysqld.service fails with the following information:

Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)
Drop-In: /etc/systemd/system/mariadb.service.d
└─migrated-from-my.cnf-settings.conf
Active: activating (auto-restart) (Result: signal) since Mon 2017-07-03 10:53:16 CEST; 2s ago
Process: 27154 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=killed, signal=ABRT)
Process: 27117 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= || VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
Process: 27115 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
Main PID: 27154 (code=killed, signal=ABRT)
Status: "InnoDB: Error: Creation of SYS_TABLESPACES and SYS_DATAFILES has failed with error 18. Tablespace is full. Dropping incompletely created tables."
CGroup: /system.slice/mariadb.service

This is after I renamed the two ib_logfile0 & ib_logfile1 files so it should create them again, since if I leave them then I get the following:

mysqld[3642]: InnoDB: MySQL :: MySQL 5.6 Reference Manual :: 14.21.1 Troubleshooting InnoDB I/O Problems
[ERROR] Plugin 'InnoDB' init function returned error.
[ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
[Note] Plugin 'FEEDBACK' is disabled.
[ERROR] Unknown/unsupported storage engine: InnoDB
[ERROR] Aborting


Plesk web panel doesn't work, since it can't connect to the mysql websocket.

I am using CentOS 7.

Any ideas?
 
Last edited:
I used the same commands, however first time round I was also installing 10.2 but later reverted back to 10.1
 
Back
Top